package sample;

import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

public class EjbContainerInterceptor {

	@AroundInvoke
    public Object intercept(InvocationContext ctx) throws Exception {
		try {
			System.out.println("Invocation begin " + ctx.getMethod());
			return ctx.proceed();
		} finally {
			System.out.println("Invocation end " + ctx.getMethod());
		}
	}
}
