package sample;

import javax.annotation.Resource;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.transaction.TransactionSynchronizationRegistry;

@Stateless(name="sample.RemoteSample")
@Remote(RemoteSample.class)
public class SampleBean implements RemoteSample {

	@Resource
	private TransactionSynchronizationRegistry tsr;	
	
	@Override
	public String method1() {
		String cacheVal = CacheFacade.getValue();
		return "[key=" + tsr.getTransactionKey() + "][status=" + tsr.getTransactionStatus() + "][cachedval=" + cacheVal + "]";
	}
}
