package sample;

import java.util.logging.Logger;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.ejb.Singleton;
import javax.ejb.Startup;

@Singleton
@Startup
public class Initializer {

	private Logger logger = Logger.getLogger(Initializer.class.getName());
	
	@EJB
	private CacheInterface cache;
	
	@PostConstruct
	public void init() {
		logger.entering(Initializer.class.getName(), "init");
		CacheFacade.setImpl(cache);
	}
}
